[Bug 459001] [NEW] K3b package requires the whole KDE 4 workspace

Gioele Barabucci gioele at svario.it
Fri Oct 23 12:48:18 BST 2009

Public bug reported:

Binary package hint: k3b

The K3b package (version 1.68.0~alpha3-0ubuntu1) installs (with a
Required dep) the whole KDE 4 workspace, not only the pieces of
workspace it really needs to have installed in order to work correctly.
This means that a K3b installation brings in at least 90 MiB of files.

For example the K3b package ends up installing unneeded applications
like kmenuedit, plasma-desktop, two dozen plasma widget, kwrited,
kfontinst, solid-bluetooth and some screensavers.

Could the K3b package be changed to suggest additional KDE workspace
applications with a Suggest dep instead of a Required dep?

ProblemType: Bug
Architecture: amd64
Date: Fri Oct 23 13:36:26 2009
DistroRelease: Ubuntu 9.10
Package: k3b (not installed)
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: k3b
Uname: Linux 2.6.31-14-generic x86_64
 (gnome-settings-daemon:1860): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1860): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:1881): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:1893): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

** Affects: k3b (Ubuntu)
     Importance: Undecided
         Status: New

** Tags: amd64 apport-bug

K3b package requires the whole KDE 4 workspace
You received this bug notification because you are a member of Ubuntu
Burning Team, which is subscribed to k3b in ubuntu.

More information about the Ubuntu-burning mailing list